Program TSTUSRPMA;

{ Version 1.0
  File:[22,310]TSTUSRPMA.PAS
  Author: Jim Bostwick 6-Oct-83
  History:


Testing P3UTIL module(s): USRPMA

}

 %INCLUDE 'EX:[22,320]GENERAL3.TYP';
 %INCLUDE 'EX:[22,320]USRPMA.EXT';
%INCLUDE 'EX:[22,320]ERROR.EXT';

  Var
    i, j: integer;


  Procedure lvl1;


    Procedure lvl2;


      BEGIN
        Writeln(' in Lvl2');
        Error(1, warning_err, 'in lvl2', 0)
      end;


    BEGIN
      writeln('in lvl1');
      error(2, warning_err, 'in lvl1', - 4);
      lvl2
    end;


  BEGIN
    writeln('in main');
    lvl1;
    error(0, fatal_err, 'in main', 17B)
  end.
